# Git snapshot 7d8548c0a6f2242ddb2315b4f923ca04bfe9870d

Name:		ring-client-gnome
Summary:	The GNOME client for the Ring communication framework
Version:	1.0.0
Release:	%mkrel 1
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		http://ring.cx/
Source0:	https://github.com/savoirfairelinux/ring-client-gnome/archive/%{version}/%{name}-%{version}.tar.xz
Patch0:		ring-client-gnome-1.0.0-install-manpage.patch
#-----------------------------------------------
BuildRequires: cmake
BuildRequires: doxygen
BuildRequires: gettext
BuildRequires: extra-cmake-modules
BuildRequires: clutter-devel
BuildRequires: clutter-gtk-devel
BuildRequires: cogl-devel
BuildRequires: evolution-data-server-devel
BuildRequires: libappindicator3-devel
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-1-devel
BuildRequires: libdbus-glib-1_2-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel
BuildRequires: libgtk+3.0-devel
BuildRequires: libjson-glib-devel
BuildRequires: libnm-devel
BuildRequires: libnotify-devel 
BuildRequires: libnspr-devel 
BuildRequires: libpango1.0-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libringclient-devel
BuildRequires: libsoup-devel
BuildRequires: libsqlite3-devel
BuildRequires: libx11-devel
BuildRequires: libxml2-devel 
BuildRequires: qrencode-devel 
BuildRequires: webkitgtk2-devel 
#-----------------------------------------------
Requires:	ring-daemon
Obsoletes:	sflphone
Provides:	sflphone = %{version}-%{release}

%description
Ring-client-gnome is a Ring client written in GTK+3. It uses libRingClient to
communicate with the Ring daemon and for all of the underlying models and their
logic. Ideally ring-client-gnome should only contain UI related code and any
wrappers necessary for interacting with libRingClient.

%prep
%setup -q
%apply_patches

%build
%cmake_qt5
%make_build

%install
%make_install -C build

%find_lang %{name}
%files -f %{name}.lang
%doc AUTHORS README
%{_bindir}/gnome-ring
%{_bindir}/ring.cx
%{_datadir}/appdata/gnome-ring.appdata.xml
%{_datadir}/applications/gnome-ring.desktop
%{_datadir}/glib-2.0/schemas/cx.ring.RingGnome.gschema.xml
%{_datadir}/gnome-ring/gnome-ring.desktop
%{_iconsdir}/hicolor/scalable/apps/ring.svg
%{_mandir}/man1/gnome-ring.1.*


%changelog
* Thu Jun 29 2017 adrianomorselli <adrianomorselli> 1.0.0-1uplos2017
- imported for uplos
